Package org.pushingpixels.substance.api.shaper

# Interface RectangularButtonShaper

All Known Implementing Classes:
  `ClassicButtonShaper`, `StandardButtonShaper`

public interface RectangularButtonShaper
Interface for rectangular-based button shapers.

## Method Summary

Modifier and Type
Method
Description
`float`
`getCornerRadius(AbstractButton button, Insets insets)`
Returns the corner radius of the specified button.

## Method Details

### getCornerRadius

float getCornerRadius(AbstractButton button, Insets insets)
Returns the corner radius of the specified button.

Parameters:
  `button` - Button.
  `insets` - Button insets.
Returns:
  Corner radius of the specified button.